<?php

namespace Ads\Channel\Models;

use Illuminate\Database\Eloquent\SoftDeletes;
use Lavalite\Filer\FilerTrait;

class Channel extends Model
{
    use FilerTrait, SoftDeletes;

    protected $dates = ['deleted_at'];

    /**
     * Initialiaze page modal.
     *
     * @param $name
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Initialize the modal variables.
     *
     * @return void
     */
    public function initialize()
    {
        $this->fillable = config('channel.channel.fillable');
        $this->uploads = config('channel.channel.uploadable');
        $this->uploadRootFolder = config('channel.channel.upload_root_folder');
        $this->table = config('channel.channel.table');
    }
}
